#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFB,0x53,0x4F,0x33,0x0F,0xB4,0xC3,0x70,0xEF,0xF8,0x69,0x5E,
		0xD4,0x4B,0xB1,0x72,0x69,0xE4,0xD7,0x0A,0x38,0xB7,0xE6,0x02,
		0xB8,0x59,0x64,0x54,0x35,0x1E,0xEC,0x06,0x28,0x78,0x86,0xAF,
		0xCC,0xAC,0xB7,0x0A,0x5C,0x4F,0x08,0x61,0x11,0xA3,0x82,0x69,
		0x11,0x06,0xFF,0x26,0x74,0x2D,0x4B,0x25,0xBD,0x46,0x5F,0x9A,
		0xF0,0x6D,0x39,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
